/*!
* \file joueur.h
* \brief Fichier contenant les signatures des fonctions liees a la structure Joueur.
*/

#include "structures.h"

#ifndef JOUEUR_H
#define JOUEUR_H

Joueur * nouveauJoueur();
void deleteJoueur(Joueur * j);

char * getNomJoueur(Joueur * j);
void setNomJoueur(Joueur * j, char * nom);

Personnage * getPersonnage(Joueur * j, int i);
int addPersonnage(Joueur * j, Personnage * p, int i);
int isInGroupe(Joueur * j, Personnage * p);
int removePersonnage(Joueur * j, Personnage * p);

/* Des Fonctions sont a ajouter pour les versions suivantes pour la gestion des competences du Joueur
 et eventuellement pour sa sauvegarde. */

#endif // JOUEUR_H
